function love.load()
	love.graphics.setMode(1440,900,false,false,0)
	love.mouse.setVisible(false)
	local src = [[
extern float time;
extern vec2 resolution;
const float PI = 3.14159265359;

float circle(vec2 pos, float time, float height, float amplitude, float y){
	float wave = sin(pos.x * PI + time) * amplitude * y;
	return sqrt(sqrt(abs(wave - pos.y - height * sin(time* 0.1))));
}

vec4 effect(vec4 ic, Image tex, vec2 tc, vec2 pc) {

	vec2 pos = (pc.xy / resolution) * 2.0 - vec2(1.0, 1.0);
	float y = cos(pos.y * PI * 0.5);
	vec3 color = vec3(1.0, 1.0, 1.0); 
		
	for (int i = 1; i < 10; i++) {
		float index = float(i) / 10.0;
		float sinus = circle(pos, time / index, 0.9 - 1.8 * index, index, y);
		color *= sinus;
	}
	
	color = .8 - color;
	
	return vec4(color, 1.0 );

}
	]]

	effect = love.graphics.newPixelEffect(src)
end



function love.draw()
	love.graphics.setPixelEffect(effect)
	love.graphics.rectangle('fill', 0,0,love.graphics.getWidth(), love.graphics.getHeight())
end

t = 0
function love.update(dt)
	if love.keyboard.isDown('escape') then
		 love.event.quit()
	end
	t = t + dt
	effect:send('time',t)
	effect:send('resolution', {love.graphics.getWidth(),love.graphics.getHeight()})
end